Download it now!
Bug 74271 - File Corruption - Issue related with hyperlink in footer
Summary: File Corruption - Issue related with hyperlink in footer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Yogesh Bharate
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-31 10:36 UTC by Yogesh Bharate
Modified: 2014-03-17 11:22 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
footer contains hyperlink (11.87 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-31 10:36 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2014-01-31 10:36:45 UTC
Created attachment 93122 [details]
footer contains hyperlink

Problem Description:
1. If the footer contains the hyperlink start with "www" ex. www.google.com.
2. After roundtrip footer*.xml.rels, contains the Target is empty related
 to the Hyperlink.
i.e <Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/hyperlink" Target="" TargetMode="External" />

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))
3. Open saved file in MS Office 2007.

Expected:
File should open without any error.

Actual:
File corrupt dialog is shown.
Comment 1 Commit Notification 2014-02-26 09:25:35 UTC
YogeshBharate committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4654e9b113a66c800161d0ee82d587055fff4f8b

fdo#74271: Added unit test & code changes for footer contains hyperlink.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Jorendc 2014-03-17 11:22:21 UTC
No corruption anymore, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 88955714d345d8584e86ae34bf5f5d1f3f4af9f7
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-15_04:16:49

Thanks for fixing!

Kind regards,
Joren